Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008106opensim[REGION] Physics Enginespublic2016-12-30 09:562017-05-27 14:55
ReporterNevren 
Assigned ToUbitUmarov 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSUbuntuOS Version16.04
Product Versionmaster (dev code) 
Target VersionFixed in Version 
Summary0008106: [ubODE] - Mouselook Forces Camera/User "Into Ground" Prohibiting Movement
DescriptionWhen in mouselook, looking up or down forces the camera to be forced downward slowing and eventually stopping movement depending on the degree of the tilt. Looking all the way up or down will always prohibit movement.

Brief video showing walking forward and looking up:
https://youtu.be/NN3w8g3-gOU [^]
Steps To Reproduce(While ubODE is the selected physics engine)
1. Enter Mouselook
2. Move forward (or another direction)
3. Look straight up or down while continuing to move
4. The avatar will be locked in place
Additional InformationAside from prohibiting movement, the camera will lower in position while tilting back or forward.

I marked this issue as major as I constantly use mouselook and it is considerably irritating.
TagsNo tags attached.
Git Revision or version numbereabd8cbe48b2b4af3fc9c04b695f4d5ebe561fcb (and prior)
Run Mode Grid (Multiple Regions per Sim)
Physics EngineubODE
EnvironmentMono / Linux64
Mono Version3.2
ViewerFirestorm-Releasex64
Attached Files

- Relationships

-  Notes
(0031516)
UbitUmarov (administrator)
2016-12-30 11:15
edited on: 2016-12-30 14:28

it was on all physics engines.
Please test the new code I added to master

(0031519)
Nevren (reporter)
2017-01-02 09:29

Tested from master, the movement being prohibited is fixed. The problem mentioned in additional comments still persist, "...the camera will lower in position while tilting back or forward." (This can be easily observed when the option "view avatar in mouselook" is on.) I figured those problems would be related to each other but apparently it's a separate issue. (Thanks for the movement fix!)

- Issue History
Date Modified Username Field Change
2016-12-30 09:56 Nevren New Issue
2016-12-30 11:15 UbitUmarov Note Added: 0031516
2016-12-30 14:28 UbitUmarov Note Edited: 0031516 View Revisions
2017-01-02 09:29 Nevren Note Added: 0031519
2017-05-27 14:55 UbitUmarov Status new => resolved
2017-05-27 14:55 UbitUmarov Resolution open => fixed
2017-05-27 14:55 UbitUmarov Assigned To => UbitUmarov


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker